<div class="form-container">
  <div class="form-content">
    <div class="form-group">
      <div class="form-group__label">
        <label><%= t 'community_survey.title_label' %></label>
      </div>
      <div class="form-group__input">
        <% community_surveys = @community_surveys.map { |a| [a.vname, a.vid] } %>
        <%= select_tag 'community_survey_id', options_for_select(community_surveys), { prompt: t('please_select_label'), class: 'ui dropdown' }  %>
      </div>
    </div>
  </div>
  <div class="form-action --no-bg">
    <button id="cancel_button" class="ui button --edit --footer-button"><%= t :cancel_label %></button>
    <button id="select_button" class="ui button --submit --footer-button"><%= t :ok_label %></button>
  </div>
  <script>
    $('#cancel_button').click(function () {
      $('#goto_modal').modal('toggle');
    });

    $('#select_button').click(function () {
      const id = $('#community_survey_id').val();
      if (!id) return;
      const url = `/community_surveys/${id}/houses`
      document.location = url;
    });
  </script>
</div>

